# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  config.vm.box_download_insecure = true
  config.vm.box = "generic/ubuntu2004"
  # config.vm.box_check_update = false
  config.vm.hostname = "test"
  config.vm.define "test"
  # config.vm.network "forwarded_port", guest: 80, host: 8080
  # config.vm.network "forwarded_port", guest: 80, host: 8080, host_ip: "127.0.0.1"
  config.vm.network "private_network", ip: "192.168.33.10"
  # config.vm.network "public_network"
  config.vm.network "forwarded_port", guest: 3000, host: 3000, auto_correct: true
#  config.vm.network "forwarded_port", guest: 9090, host: 9090, auto_correct: true
#  config.vm.network "forwarded_port", guest: 9100, host: 9100, auto_correct: true


  # config.vm.synced_folder "../data", "/vagrant_data"

  # Provider-specific configuration so you can fine-tune various
  # backing providers for Vagrant. These expose provider-specific options.
  # Example for VirtualBox:
  #
  config.vm.provider "virtualbox" do |vb|
  #   # Display the VirtualBox GUI when booting the machine
      vb.gui = false
  #
  #   # Customize the amount of memory on the VM:
      vb.memory = "2048"
  end
  #
  config.vm.provision "shell", inline: <<-SHELL
     apt-get update
     apt-get install -y python
   SHELL

  config.vm.provision "ansible" do |ansible|
    ansible.inventory_path = "inventory"
    ansible.playbook = "playbook.yaml"
  end
end
